import AWS from 'aws-sdk';
import { Command } from '@oclif/command';
import { Task } from 'listr2/dist/lib/task';
import { ListrTaskObject } from 'listr2';
export default abstract class BaseCommand extends Command {
    protected printBanner(awsConfig: AWS.Config, flags: Record<string, any>): void;
    protected validateStateFilePath(flags: Record<string, any>): Promise<void>;
    protected collectErrors(tasks: ListrTaskObject<any, any>[]): string[];
    protected renderSummary(tasks: Task<any, any>[] | ListrTaskObject<any, any>[], level?: number): void;
    protected consoleWriteLine(message?: string): void;
}
